## GnomeCanvasGroup GnomeCanvasGroup — Canvas item group |

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

    struct              GnomeCanvasGroup;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasGroup
                               +----GnomeCanvasClipgroup

## Properties

      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

A canvas item that groups other canvas items. A canvas group is used for organization, determining drawing stacking order, and for applying transforms on all items in the group.

The GnomeCanvas widget contains a toplevel "root" group which can be queried with a call to `gnome_canvas_root()`.

## Details

### struct GnomeCanvasGroup

    struct GnomeCanvasGroup;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"x"` property

      "x"                        gdouble               : Read / Write

X coordinate of group's origin.

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

Y coordinate of group's origin.

Default value: 0